#!/usr/bin/env python
# -*- coding: utf-8 -*-

# AUTEUR  : Jonas Fourquier (http://jonas.tuxfamily.org/)
# VERSION : 2006.11.12
# LICENCE : GNU GPL

# DESCRIPTION : Certains lecteurs audio (Quod Libet, Exaile) n'affichent les pochettes des albums que si elles se trouvent dans le même dossier que les fichiers audio et qu'elle se nomment "cover.jpg". Parfois ces pochettes ne sont pas nommer de cette façon (les albums téléchargés sur jamendo.fr par exemple). Ce script permet de créer des liens symbolique "cover.jpg" vers le 1er fichier jpg trouvé dans chaque dossier du repertoire de votre bibilothèque
#
# UTILISATION : Le script est adaptè pour un aboressence du type:
#
#   -> Dir_bilbilotheque
#       -> Dir_album1
#           -> Piste1.ogg
#           -> Piste2.ogg
#           -> Piste3.ogg
#           -> ... .ogg
#           -> Album1.jpg
#       -> Dir_album2
#           -> Piste1.jpg
#           -> ... .ogg
#           -> album2.jpg
#       -> Dir_album...
#
# Lancez le script dans "Dir_bilbilothèque"


import os
import glob
ListDir = glob.glob('*')

for n in range(0, len(ListDir)):
    if (os.path.isdir(ListDir[n])):
        os.chdir (ListDir[n])
        print ListDir[n]
        os.system('ln -s *.jpg cover.jpg')
        os.chdir ('..')

